//***********************************************
//*                 Main.C                      *
//***********************************************
//* W-AP002 MPLAB C18 Advance Workshop          *
//* Written by: Richard Yang                    *
//*             Sr. Corporate Applications Engr.*
//*             Microchip Technology Inc.       *
//* Date:       16 January 2003                 *
//* Revision:	1                               *
//***********************************************
//*                               mߤ@	
//* 1. N WAP-002 Workshop rq ROM ŪXܦb LCD ùĤ@m
//* 2. NA^WrܦbĤG檺_lm
//* 3. N@ƥئrq 0  9 ܦb LCD ĤG̫@ӦmAɶ 0.5 Sec
//*	
	
//*           ŧiҨϥΪtJ
//***********************************************************
#include <p18f452.h>
#include <delays.h>
#include "P18F_LCD.h"

//*           ƭ쫬ŧi
//***********************************************************
void InitializePORT(void);

//*           wqdrܼƨéb Access Bank          
//*********************************************************** 
#pragma idata access My_RAM_1
near char LCD_RAM_MSG[ ]="Richard Yang";
near unsigned char LCD_Char='0';

//*           wqLCDܪdréb ROM      
//*********************************************************** 
#pragma romdata RomData
const rom char LCD_ROM_MSG[ ] ="WAP-002 Workshop";
#pragma code


//***********************************************************
/*														   */
/* 						Main 	Program					   */
/*														   */
//***********************************************************
void main(void)
{
	InitializePORT( );

// } LCD Ҳ
	OpenLCD( );
// b LCD Ĥ@ܦrT"WAP-002 Workshop"
	LCD_Set_Cursor(0,0);
 	putrsLCD(LCD_ROM_MSG);
// b LCD ĤGܧA^Wr
	LCD_Set_Cursor(1,0);
 	putsLCD(LCD_RAM_MSG);

	while(1)
	{
// ]wܦmbĤG15ӡAܤ@ƥئr(0~9)j0.5
// ƥ Delay10KTCYx(unsigned char)ӧ	
// ܼƦrq"0x30" to "0x39"
		LCD_Set_Cursor(1,15);
		Delay10KTCYx(200) ;
		putcLCD(LCD_Char++);
		if (LCD_Char==0x3A) LCD_Char='0';
	
	}

}



//************************************************
//*        Function: Initialize PORT             *
//************************************************
void InitializePORT(void)
{

	PORTA=0x00;
	TRISA=0b11011011;			// RA2 as LCD-E control, RA5 as CS Control  for SPI	
	PORTD=0x00;
	TRISD=0x00;					// Set PORTD as Output port
}
							
#pragma code
